private ["_type", "_unit", "_fnc_BUMaddweapons", "_fnc_BUMaddmagazines", "_magazines", "_fnc_BUMCheckAddBackpack","_fnc_BUMaddMedicalSupplies"];

//["Pl",this] call compile preprocessFileLineNumbers "loadouts\chd.sqf"; Kutsu näin

_type = _this select 0;
_unit = _this select 1;

if (!(local _unit)) exitwith {}; // Todella tärkeä. Estää skriptin pyörimisen ei locaaleilla uniteilla


if (_unit isKindof "Man") then
{
	removeUniform _unit;
	removeVest _unit;
	removeBackpack _unit;
	removeHeadgear _unit;
	removeAllWeapons _unit;
	//_unit removeweapon "itemradio";
	_unit removeweapon "ItemGPS";
	_unit addweapon "ACE_NVG_Gen4";
	_unit additem "ACE_EarPlugs";
	_unit additem "Chemlight_Green";
	_unit additem "Chemlight_Green";
	removeGoggles _unit;
	_unit linkItem "tf_microdagr";
	_unit removeweapon "ACE_NVG_Gen4";
};



if (_unit isKindof "LandVehicle" || _unit isKindof "Air" || _unit isKindOf "Ship" || _unit isKindOf "Static") then
{
	clearWeaponCargoglobal _unit;
	clearItemCargoGlobal _unit;
	clearMagazineCargoglobal _unit;
	_unit disableTIEquipment true;
	_unit setVariable ["tf_side", "guer", true];
};

_fnc_BUMaddweapons = {

	//Adds weapons from list
	//Params [unit,[ListOfWeapons] call _fnc_BUMaddweapons;

	private ["_items", "_unit"];
	_unit = _this select 0;
	_items = _this select 1;
	{_unit addweapon _x;} Foreach _items;
};

_fnc_BUMaddmagazines = {

	//Adds list of magazines
	//Params [unit,[[MagazineClassname,count],[MagazineClassname,count],...]] call _fnc_BUMaddmagazines;

	private ["_item", "_unit", "_elements", "_count"];
	_unit = _this select 0;
	_elements = _this select 1;
	{
		_item = _x select 0;
		_count = _x select 1;
		_unit addmagazines [_item,_count];
	} Foreach _elements;
};

_fnc_BUMCheckAddBackpack = {

	//Run before adding rockets, adds an Backpack if Unit does not have one already
	//Params [unit,"BackpackClassName"] call _fnc_BUMCheckAddBackpack;

	private ["_PackToAdd", "_unit"];
	_unit = _this select 0;
	_PackToAdd = _this select 1;

	If (Backpack _unit == "") then {_unit addbackpack _PackToAdd};

};

_fnc_BUMaddMedicalSupplies = {

	//Add Xmedsys Medical supplies
	//Params [unit, mode] call _fnc_BUMaddMedicalSupplies;
	//mode can be "Soldier","Soldier","medic"
	//medic must have backpack

	private ["_mode", "_unit", "_supplies"];
	_unit = _this select 0;
	_mode = _this select 1;

	Switch (_mode) do {

		case "Soldier":
		{
			_supplies = [["ACE_fieldDressing",6],["ACE_morphine",2]];

			{
				_item = _x select 0;
				_count = _x select  1;

				for "_i" from 1 to _count do {_unit additem _item};
			} Foreach _supplies;
		};


		case "medic":
		{
			_supplies = [["ACE_fieldDressing",20],["ACE_morphine",10],["ACE_bloodIV_500",4],["ACE_epinephrine",5]];

			{
				_item = _x select 0;
				_count = _x select 1;

				for "_i" from 1 to _count do {_unit additem _item};
			} Foreach _supplies;
		};
	};
};


_fnc_BUMchangeClothes = {

	//Params [unit, mode] call _fnc_BUMchangeClothes;
	_unit = _this select 0;
	_reppu = _this select 1;
	_unifor = _this select 2;
	_tykki = _this select 3;

	removeUniform _unit;
	removeVest _unit;
	removeBackpack _unit;
	removeHeadgear _unit;
	removeGoggles _unit;

//"rhsgref_ssh68_ttsko_mountain","rhsgref_ssh68_ttsko_forest","rhsgref_ssh68_ttsko_digi","rhsgref_ssh68_emr",
_kukkahattu = ["rhsgref_Booniehat_alpen","rhsgref_bcap_specter","rhsgref_6b27m_ttsko_urban","rhsgref_6b27m_ttsko_mountain","rhsgref_6b27m_ttsko_forest","rhsgref_6b27m_ttsko_digi","rhsgref_6b27m","H_Bandanna_camo","H_Bandanna_cbr","H_Bandanna_gry","H_Bandanna_khk","H_Bandanna_khk_hs","H_Bandanna_mcamo","H_Watchcap_blk","H_Watchcap_camo","H_Watchcap_cbr","H_Watchcap_khk","H_Watchcap_sgg","rhs_beanie","rhs_beanie_green","rhsgref_Booniehat_alpen","rhs_Booniehat_ucp","rhs_Booniehat_ocp","rhs_Booniehat_m81","","","","","",""]call bis_fnc_selectRandom;

_cap = ["rhsgref_patrolcap_specter","rhsgref_fieldcap_ttsko_urban","rhsgref_fieldcap_ttsko_mountain","rhsgref_fieldcap_ttsko_forest","rhsgref_fieldcap_ttsko_digi","rhsgref_fieldcap"]call bis_fnc_selectRandom;

_hattu = ["1","2","","","",""] call bis_fnc_selectRandom;

//hattu
	switch (_hattu) do {

	    case "1": {
			_naamio = ["G_Balaclava_blk","G_Balaclava_oli"]call bis_fnc_selectRandom;
			_unit addGoggles _naamio;
	    };

	    case "2": {
		_unit addHeadgear _kukkahattu;
	    };


	    default {
			_Goggles = ["G_Aviator","G_Bandanna_aviator","G_Bandanna_beast","G_Bandanna_blk","G_Bandanna_khk","G_Bandanna_khk","G_Bandanna_shades","G_Bandanna_sport","G_Bandanna_tan","G_Spectacles_Tinted","G_Squares","G_Spectacles","","","","","","","","",""]call bis_fnc_selectRandom;
			_unit addGoggles _Goggles;
			_unit addHeadgear _kukkahattu;
	    };
	};


//puku & liivi


	_pliivi = ["rhs_6sh92_digi_vog","rhs_6sh92_digi_radio","rhs_6sh92_digi","rhs_6sh92_vog","rhs_6sh92_radio","rhs_6sh92"] call BIS_fnc_selectRandom;

	_ppuku = ["rhsgref_uniform_alpenflage","rhsgref_uniform_specter","rhsgref_uniform_flecktarn","rhsgref_uniform_reed","rhsgref_uniform_tigerstripe","rhsgref_uniform_woodland","rhsgref_uniform_woodland_olive"] call bis_fnc_selectRandom;

	_puku = ["rhsgref_uniform_alpenflage","rhsgref_uniform_specter","rhsgref_uniform_flecktarn","rhsgref_uniform_reed","rhsgref_uniform_reed","rhsgref_uniform_reed","rhsgref_uniform_tigerstripe","rhsgref_uniform_woodland","rhsgref_uniform_woodland_olive","rhsgref_uniform_para_ttsko_mountain","rhsgref_uniform_para_ttsko_oxblood","rhsgref_uniform_para_ttsko_urban"] call bis_fnc_selectRandom;

	switch (_unifor) do {

	    case "pl": {
	    	removeHeadgear _unit;
			removeGoggles _unit;
			_unit forceAddUniform _puku;
			_unit addVest "rhs_vest_pistol_holster";
			_unit addHeadgear "H_Beret_blk";
			_unit addGoggles "G_Aviator";
	    };

	    case "sl": {
	    	removeHeadgear _unit;
			removeGoggles _unit;
	    	_unit forceAddUniform _puku;
	    	_unit addVest _pliivi;
	    	//_unit addGoggles _Goggles;
			_unit addHeadgear _cap;
	    };

	    case "sap":
	    {
	    	removeHeadgear _unit;
			removeGoggles _unit;
	    	_unit forceAddUniform "rhs_uniform_gorka_r_y";
			_unit addVest "rhs_6sh92_digi";
			_unit addHeadgear "rhs_ssh68";
	    };

	    case "pil":
	    {
	    	removeHeadgear _unit;
			removeGoggles _unit;
	    	_unit forceAddUniform "rhsgref_uniform_specter";
			_unit addVest "rhs_6sh46";
			_unit addHeadgear "H_Cap_headphones";
	    };

	    case "cre":
	    {
	    	removeHeadgear _unit;
			removeGoggles _unit;
	    	_unit forceAddUniform "rhsgref_uniform_specter";
			_unit addVest "rhs_6sh46";
			_unit addHeadgear "rhs_tsh4";
	    };

	    default {
			_unit forceAddUniform _ppuku;
			_unit addVest _pliivi;
	    };
	};



//repun valinta
		switch (_reppu) do {

	    case "sl": {
			[_unit, "tf_bussole"] call _fnc_BUMCheckAddBackpack;
	    };

	    case "rpg": {
			[_unit, "rhs_rpg_empty"] call _fnc_BUMCheckAddBackpack;
	    };

	    case "kk": {
			[_unit, "rhs_sidor"] call _fnc_BUMCheckAddBackpack;
	    };

	    case "med": {
			[_unit, "B_Carryall_oli"] call _fnc_BUMCheckAddBackpack;
	    };

	    case "sap": {
			[_unit, "rhs_assault_umbts_engineer_empty"] call _fnc_BUMCheckAddBackpack;
	    };

	   default
	    {

	    };
	};



_tyyppi = ["1",""] call bis_fnc_selectRandom;
//aseen valinta
		switch (_tykki) do {

	    case "gl": {
	    	_GL = ["rhs_weap_akm_gp25","rhs_weap_akms_gp25"] call BIS_fnc_selectRandom;
			_items = [_GL];
			_magazines = [["rhs_30Rnd_762x39mm_89",7],["rhs_VOG25P",4],["rhs_VOG25",4],["rhs_GRD40_White",6],["rhs_VG40TB",2]];
			[_unit, _magazines] Call _fnc_BUMaddmagazines;
			[_unit, _items] Call _fnc_BUMaddweapons;
	    };


	    case "kk": {

	    	_kanuuna2 = ["rhs_weap_pkp","rhs_weap_pkm"] call bis_fnc_selectRandom;
			_items = [_kanuuna2];
			_magazines = [["rhs_100Rnd_762x54mmR",5]];
			[_unit, _magazines] Call _fnc_BUMaddmagazines;
			[_unit, _items] Call _fnc_BUMaddweapons;
		};

	    case "sha": {
	    		_kanuuna1 = ["rhs_weap_ak104","rhs_weap_ak103","rhs_weap_akm","rhs_weap_akms","rhs_weap_m70ab2","rhs_weap_m70b1","rhs_weap_m92"] call bis_fnc_selectRandom;
				_items = [_kanuuna1];
				_magazines = [["rhs_30Rnd_762x39mm_89",7]];
				[_unit, _magazines] Call _fnc_BUMaddmagazines;
				[_unit, _items] Call _fnc_BUMaddweapons;
				_unit addPrimaryWeaponItem "rhs_acc_pso1m2";
	    };

	    case "pis": {
			_items = ["rhs_weap_makarov_pm"];
			_magazines = [["rhs_mag_9x18_8_57N181S",5]];
			[_unit, _magazines] Call _fnc_BUMaddmagazines;
			[_unit, _items] Call _fnc_BUMaddweapons;
		};

	    case "aks": {
			_items = ["rhs_weap_aks74u"];
			_magazines = [["rhs_30Rnd_545x39_AK",7]];
			[_unit, _magazines] Call _fnc_BUMaddmagazines;
			[_unit, _items] Call _fnc_BUMaddweapons;
		};

	    case "mil":
	    {
	    	if (_tyyppi == "1") then
	    	{
	    		_items = ["rhs_weap_kar98k"];
					_magazines = [["rhsgref_5Rnd_792x57_kar98k",10]];
					[_unit, _magazines] Call _fnc_BUMaddmagazines;
					[_unit, _items] Call _fnc_BUMaddweapons;
	    	}
	    	else
	    	{

				_items = ["rhs_weap_m38"];
					_magazines = [["rhsgref_5Rnd_762x54_m38",10]];
					[_unit, _magazines] Call _fnc_BUMaddmagazines;
					[_unit, _items] Call _fnc_BUMaddweapons;

		    };
		};

	    default
	    {
	    	if (_tyyppi == "1") then
	    	{
	    		_kanuuna1 = ["rhs_weap_ak104","rhs_weap_ak103","rhs_weap_akm","rhs_weap_akms","rhs_weap_m70ab2","rhs_weap_m70b1","rhs_weap_m92"] call bis_fnc_selectRandom;
				_items = [_kanuuna1];
				_magazines = [["rhs_30Rnd_762x39mm_89",7]];
				[_unit, _magazines] Call _fnc_BUMaddmagazines;
				[_unit, _items] Call _fnc_BUMaddweapons;
	    	}
	    	else
	    	{

				_kanuuna2 = ["rhs_weap_ak105","rhs_weap_ak74m","rhs_weap_ak74m_2mag","rhs_weap_ak74m_2mag_camo","rhs_weap_ak74m_camo","rhs_weap_ak74m_desert","rhs_weap_ak74m_plummag","rhs_weap_ak74m_fullplum","rhs_weap_aks74u","rhs_weap_aks74un"] call bis_fnc_selectRandom;
				_items = [_kanuuna2];
				_magazines = [["rhs_30Rnd_545x39_7N22_AK",7]];
				[_unit, _magazines] Call _fnc_BUMaddmagazines;
				[_unit, _items] Call _fnc_BUMaddweapons;

		    };
		};
	};
};


switch (_type) do
{
	Case "Pl":
	{
		[_unit, "sl","pl","pis"] call _fnc_BUMchangeClothes;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "Sl":
	{
		[_unit, "sl","sl","aks"] call _fnc_BUMchangeClothes;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;

	};

	Case "Tl":
	{
		[_unit, "","","gl"] call _fnc_BUMchangeClothes;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;

	};

	Case "SHAR":
	{
		[_unit, "","","sha"] call _fnc_BUMchangeClothes;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};


	Case "KK":
	{
		[_unit, "kk","","kk"] call _fnc_BUMchangeClothes;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "RPG":
	{
		removeHeadgear _unit;
		removeGoggles _unit;
		_naamio = ["G_Balaclava_blk","G_Balaclava_oli"]call bis_fnc_selectRandom;
		_unit addGoggles _naamio;
		[_unit, "rpg","",""] call _fnc_BUMchangeClothes;
		_items = ["rhs_weap_rpg7"];
		_magazines = [["rhs_rpg7_PG7VL_mag",1],["rhs_rpg7_OG7V_mag",1],["rhs_rpg7_PG7VR_mag",1]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "AA":
	{
		removeHeadgear _unit;
		removeGoggles _unit;
		_naamio = ["G_Balaclava_blk","G_Balaclava_oli"]call bis_fnc_selectRandom;
		_unit addGoggles _naamio;
		[_unit, "med","",""] call _fnc_BUMchangeClothes;
		_items = ["rhs_weap_igla"];
		_magazines = [["rhs_mag_9k38_rocket",3]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "RIF":
	{
		[_unit, "","",""] call _fnc_BUMchangeClothes;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "ATRIF":
	{
		[_unit, "","",""] call _fnc_BUMchangeClothes;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_items = ["rhs_weap_rpg26"];
		[_unit, _items] Call _fnc_BUMaddweapons;
	};

	Case "pil":
	{
		[_unit, "","pil","aks"] call _fnc_BUMchangeClothes;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "crew":
	{
		[_unit, "","cre","aks"] call _fnc_BUMchangeClothes;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "MIL":
	{
		[_unit, "","","mil"] call _fnc_BUMchangeClothes;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "SMIL":
	{
		[_unit, "sl","","mil"] call _fnc_BUMchangeClothes;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
	};

		Case "MilMedic":
	{
		[_unit, "med","","mil"] call _fnc_BUMchangeClothes;
		_magazines = [["rhs_mag_rdg2_white",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, "medic"] Call _fnc_BUMaddMedicalSupplies;
	};

		Case "Medic":
	{
		[_unit, "med","",""] call _fnc_BUMchangeClothes;
		_magazines = [["rhs_mag_rdg2_white",4]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, "medic"] Call _fnc_BUMaddMedicalSupplies;
	};

	Case "Sab":
	{
		[_unit, "sap","","aks"] call _fnc_BUMchangeClothes;
		_unit addVest "V_TacVest_blk";
		_magazines = [["IEDUrbanSmall_Remote_Mag",1],["IEDLandSmall_Remote_Mag",1],["ATMine_Range_Mag",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_DefusalKit";
		_unit addItem "ACE_Clacker";

	};

		Case "Sap":
	{
		[_unit, "sap","",""] call _fnc_BUMchangeClothes;
		_magazines = [["DemoCharge_Remote_Mag",3],["rhs_mine_pmn2_mag",2],["ATMine_Range_Mag",2]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;
		[_unit, _items] Call _fnc_BUMaddweapons;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;
		_unit addItem "ACE_DefusalKit";
		_unit addItem "ACE_Clacker";
		_unit addPrimaryWeaponItem "rhs_acc_dtk4short";
	};

		Case "GRE":
	{
		[_unit, "","","gl"] call _fnc_BUMchangeClothes;
		[_unit, "Soldier"] Call _fnc_BUMaddMedicalSupplies;

	};

		Case "Auto": //perus
	{
		_unit addMagazineCargoGlobal ["rhs_100Rnd_762x54mmR", 1];
		_unit addMagazineCargoGlobal ["rhs_30Rnd_545x39_7N22_AK", 5];
		_unit addMagazineCargoGlobal ["rhsgref_5Rnd_792x57_kar98k", 5];
		_unit addMagazineCargoGlobal ["rhsgref_5Rnd_762x54_m38", 5];
		_unit addMagazineCargoGlobal ["rhs_30Rnd_762x39mm", 5];
		_unit addMagazineCargoGlobal ["rhs_mag_rdg2_white",10];
		_unit addMagazineCargoGlobal ["rhs_mag_rgd5",6];
		_unit addItemCargoGlobal ["ACE_wirecutter",1];
		_unit addItemCargoGlobal ["ACE_Sandbag_empty",50];

	};
};


if (_unit isKindof "Man") then
{
		_magazines = [["rhs_mag_rgd5",3],["rhs_mag_rdg2_white",5]];
		[_unit, _magazines] Call _fnc_BUMaddmagazines;

};



